###

#

EqualityComparable< T > Struct Template Reference
Basic Concepts

Concept of == and != comparability requirement. More...

`#include <basic.hpp>`

## Public Member Functions

void | constraints ()

## Detailed Description

template<typename T>
struct boost::gil::EqualityComparable< T >

Concept of == and != comparability requirement.

auto concept EqualityComparable<typename T, typename U = T>
{
bool operator==(T x, T y);
bool operator!=(T x, T y) { return !(x==y); }
};
boost::gil::EqualityComparable
Concept of == and != comparability requirement.
Definition: basic.hpp:101

The documentation for this struct was generated from the following file:

- basic.hpp